GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::SimpleNoder Class Reference

Nodes a set of SegmentStrings by performing a brute-force comparison of every segment to every other one. More...

`#include <SimpleNoder.h>`

Inheritance diagram for geos::noding::SimpleNoder:

## Public Member Functions
| SimpleNoder (SegmentIntersector *nSegInt=NULL)
void | computeNodes (std::vector< SegmentString * > *inputSegmentStrings)
std::vector< SegmentString * > * | getNodedSubstrings () const
Public Member Functions inherited from geos::noding::SinglePassNoder
| SinglePassNoder (SegmentIntersector *nSegInt=NULL)
virtual void | setSegmentIntersector (SegmentIntersector *newSegInt)

## Additional Inherited Members
Protected Attributes inherited from geos::noding::SinglePassNoder
SegmentIntersector * | segInt
| Externally owned.

## Detailed Description

Nodes a set of SegmentStrings by performing a brute-force comparison of every segment to every other one.

This has n^2 performance, so is too slow for use on large numbers of segments.

Version
  1.7

## Member Function Documentation

void geos::noding::SimpleNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |
| virtual

Computes the noding for a collection of SegmentStrings.

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::SinglePassNoder.

std::vector<SegmentString*>* geos::noding::SimpleNoder::getNodedSubstrings | ( |  | ) | const
| inline virtual

Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a Collection of SegmentStrings

Implements geos::noding::SinglePassNoder.

The documentation for this class was generated from the following file:

- SimpleNoder.h